- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libcdr::CDRStylesCollector Class Reference

`#include <CDRStylesCollector.h>`

Inheritance diagram for libcdr::CDRStylesCollector:

## Public Member Functions
| CDRStylesCollector (CDRParserState &ps)
virtual | ~CDRStylesCollector ()
void | collectPage (unsigned)
void | collectObject (unsigned)
void | collectOtherList ()
void | collectCubicBezier (double, double, double, double, double, double)
void | collectQuadraticBezier (double, double, double, double)
void | collectMoveTo (double, double)
void | collectLineTo (double, double)
void | collectArcTo (double, double, bool, bool, double, double)
void | collectClosePath ()
void | collectLevel (unsigned)
void | collectTransform (double, double, double, double, double, double)
void | collectFildId (unsigned)
void | collectOutlId (unsigned)
void | collectFild (unsigned id, unsigned short fillType, const CDRColor &color1, const CDRColor &color2, const CDRGradient &gradient, const CDRImageFill &imageFill)
void | collectOutl (unsigned id, unsigned short lineType, unsigned short capsType, unsigned short joinType, double lineWidth, double stretch, double angle, const CDRColor &color, const std::vector< unsigned short > &dashArray, unsigned startMarkerId, unsigned endMarkerId)
void | collectRotate (double)
void | collectFlags (unsigned)
void | collectPageSize (double, double)
void | collectPolygonTransform (unsigned, unsigned, double, double, double, double)
void | collectBitmap (unsigned, double, double, double, double)
void | collectBmp (unsigned imageId, unsigned colorModel, unsigned width, unsigned height, unsigned bpp, const std::vector< unsigned > &palette, const std::vector< unsigned char > &bitmap)
void | collectBmpf (unsigned patternId, unsigned width, unsigned height, const std::vector< unsigned char > &pattern)
void | collectPpdt (const std::vector< std::pair< double, double > > &, const std::vector< unsigned > &)
void | collectFillTransform (double, double, double, double, double, double)
void | collectFillOpacity (double)
void | collectPolygon ()
void | collectSpline ()
Public Member Functions inherited from libcdr::CDRCollector
| CDRCollector ()
virtual | ~CDRCollector ()

## Private Member Functions
| CDRStylesCollector (const CDRStylesCollector &)
CDRStylesCollector & | operator= (const CDRStylesCollector &)

## Private Attributes
CDRParserState & | m_ps

## Constructor & Destructor Documentation

libcdr::CDRStylesCollector::CDRStylesCollector | ( | libcdr::CDRParserState & | ps | ) |

libcdr::CDRStylesCollector::~CDRStylesCollector | ( |  | ) |
| virtual

libcdr::CDRStylesCollector::CDRStylesCollector | ( | const CDRStylesCollector & |  | ) |
| private

## Member Function Documentation

void libcdr::CDRStylesCollector::collectArcTo | ( | double | ,
|  | double | ,
|  | bool | ,
|  | bool | ,
|  | double | ,
|  | double |
| ) |  |
| inline virtual

Implements libcdr::CDRCollector.

void libcdr::CDRStylesCollector::collectBitmap | ( | unsigned | ,
|  | double | ,
|  | double | ,
|  | double | ,
|  | double |
| ) |  |
| inline virtual

Implements libcdr::CDRCollector.

void libcdr::CDRStylesCollector::collectBmp | ( | unsigned | imageId,
|  | unsigned | colorModel,
|  | unsigned | width,
|  | unsigned | height,
|  | unsigned | bpp,
|  | const std::vector< unsigned > & | palette,
|  | const std::vector< unsigned char > & | bitmap
| ) |  |
| virtual

Implements libcdr::CDRCollector.

void libcdr::CDRStylesCollector::collectBmpf | ( | unsigned | patternId,
|  | unsigned | width,
|  | unsigned | height,
|  | const std::vector< unsigned char > & | pattern
| ) |  |
| virtual

Implements libcdr::CDRCollector.

void libcdr::CDRStylesCollector::collectClosePath | ( |  | ) |
| inline virtual

Implements libcdr::CDRCollector.

void libcdr::CDRStylesCollector::collectCubicBezier | ( | double | ,
|  | double | ,
|  | double | ,
|  | double | ,
|  | double | ,
|  | double |
| ) |  |
| inline virtual

Implements libcdr::CDRCollector.

void libcdr::CDRStylesCollector::collectFild | ( | unsigned | id,
|  | unsigned short | fillType,
|  | const CDRColor & | color1,
|  | const CDRColor & | color2,
|  | const CDRGradient & | gradient,
|  | const CDRImageFill & | imageFill
| ) |  |
| virtual

Implements libcdr::CDRCollector.

void libcdr::CDRStylesCollector::collectFildId | ( | unsigned |  | ) |
| inline virtual

Implements libcdr::CDRCollector.

void libcdr::CDRStylesCollector::collectFillOpacity | ( | double |  | ) |
| inline virtual

Implements libcdr::CDRCollector.

void libcdr::CDRStylesCollector::collectFillTransform | ( | double | ,
|  | double | ,
|  | double | ,
|  | double | ,
|  | double | ,
|  | double |
| ) |  |
| inline virtual

Implements libcdr::CDRCollector.

void libcdr::CDRStylesCollector::collectFlags | ( | unsigned |  | ) |
| inline virtual

Implements libcdr::CDRCollector.

void libcdr::CDRStylesCollector::collectLevel | ( | unsigned |  | ) |
| inline virtual

Implements libcdr::CDRCollector.

void libcdr::CDRStylesCollector::collectLineTo | ( | double | ,
|  | double |
| ) |  |
| inline virtual

Implements libcdr::CDRCollector.

void libcdr::CDRStylesCollector::collectMoveTo | ( | double | ,
|  | double |
| ) |  |
| inline virtual

Implements libcdr::CDRCollector.

void libcdr::CDRStylesCollector::collectObject | ( | unsigned |  | ) |
| inline virtual

Implements libcdr::CDRCollector.

void libcdr::CDRStylesCollector::collectOtherList | ( |  | ) |
| inline virtual

Implements libcdr::CDRCollector.

void libcdr::CDRStylesCollector::collectOutl | ( | unsigned | id,
|  | unsigned short | lineType,
|  | unsigned short | capsType,
|  | unsigned short | joinType,
|  | double | lineWidth,
|  | double | stretch,
|  | double | angle,
|  | const CDRColor & | color,
|  | const std::vector< unsigned short > & | dashArray,
|  | unsigned | startMarkerId,
|  | unsigned | endMarkerId
| ) |  |
| virtual

Implements libcdr::CDRCollector.

void libcdr::CDRStylesCollector::collectOutlId | ( | unsigned |  | ) |
| inline virtual

Implements libcdr::CDRCollector.

void libcdr::CDRStylesCollector::collectPage | ( | unsigned |  | ) |
| inline virtual

Implements libcdr::CDRCollector.

void libcdr::CDRStylesCollector::collectPageSize | ( | double | ,
|  | double |
| ) |  |
| inline virtual

Implements libcdr::CDRCollector.

void libcdr::CDRStylesCollector::collectPolygon | ( |  | ) |
| inline virtual

Implements libcdr::CDRCollector.

void libcdr::CDRStylesCollector::collectPolygonTransform | ( | unsigned | ,
|  | unsigned | ,
|  | double | ,
|  | double | ,
|  | double | ,
|  | double |
| ) |  |
| inline virtual

Implements libcdr::CDRCollector.

void libcdr::CDRStylesCollector::collectPpdt | ( | const std::vector< std::pair< double, double > > & | ,
|  | const std::vector< unsigned > & |
| ) |  |
| inline virtual

Implements libcdr::CDRCollector.

void libcdr::CDRStylesCollector::collectQuadraticBezier | ( | double | ,
|  | double | ,
|  | double | ,
|  | double |
| ) |  |
| inline virtual

Implements libcdr::CDRCollector.

void libcdr::CDRStylesCollector::collectRotate | ( | double |  | ) |
| inline virtual

Implements libcdr::CDRCollector.

void libcdr::CDRStylesCollector::collectSpline | ( |  | ) |
| inline virtual

Implements libcdr::CDRCollector.

void libcdr::CDRStylesCollector::collectTransform | ( | double | ,
|  | double | ,
|  | double | ,
|  | double | ,
|  | double | ,
|  | double |
| ) |  |
| inline virtual

Implements libcdr::CDRCollector.

CDRStylesCollector& libcdr::CDRStylesCollector::operator= | ( | const CDRStylesCollector & |  | ) |
| private

## Member Data Documentation

CDRParserState& libcdr::CDRStylesCollector::m_ps
| private

The documentation for this class was generated from the following files:

- CDRStylesCollector.h
- CDRStylesCollector.cpp